repo/gentoo:master commit in: dev-python/google-api-core/

Michał Górny <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786069742.e4cb845b2519d76d6c103bdede88fcaac58da960.mgorny@gentoo>
commit:     e4cb845b2519d76d6c103bdede88fcaac58da960
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Aug  7 02:11:24 2026 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Aug  7 02:29:02 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e4cb845b

dev-python/google-api-core: Bump to 2.34.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/google-api-core/Manifest                |  2 +
 .../google-api-core/google-api-core-2.34.0.ebuild  | 55 ++++++++++++++++++++++
 2 files changed, 57 insertions(+)

diff --git a/dev-python/google-api-core/Manifest b/dev-python/google-api-core/Manifest
index 35ab0c94c54d..0f9101e9042e 100644
--- a/dev-python/google-api-core/Manifest
+++ b/dev-python/google-api-core/Manifest
@@ -4,3 +4,5 @@ DIST google_api_core-2.32.0.tar.gz 177659 BLAKE2B 29d1877de6c4d7d324a5b958a07694
 DIST google_api_core-2.32.0.tar.gz.provenance 6048 BLAKE2B e75b82641aff7abf995645a56c05e32e6a7633542ddb8b5a74027d676391a3f74657713e1528dc871a72d4f57dcdd2802c05a42b01087f0065428596fb17ccd6 SHA512 0d8692c8a390a24afd5c5f4d9fd390ea43105f6aa0991e095727f2f38d3580668f01d55aaef7450b96eb14691b9ef87676780b6db718eece396a1d0ed7ac6114
 DIST google_api_core-2.33.0.tar.gz 181607 BLAKE2B 95d67b0831f211ebb9a4422b00766a7a4fd57f2d5dddea13186b32b4350d95b8763450e67432f77aa7ce1a1d37aa15bb5332ebddc7c479f88c41db12cca95753 SHA512 9993e6391803465e188232d10d1e34ac52502cd8dc69ba108218ebd08bed36a65ae4d1aa8cbb0f207afbec541824449d55eadfead961a4d8351ba2acd92f2ccf
 DIST google_api_core-2.33.0.tar.gz.provenance 6197 BLAKE2B 5e5675259629d3e4ce8db9d3151256e56903910f4111acf0ff15d3ee35b3e9edeea80ed93180e79ee60d29a8a089b7d506f82d9f476e0a799eaedd807f0846d0 SHA512 991dee5fd3ee9ba1e13198a2213d47cd75208e17d631cb08ca17fb1c9e8affbd0c41378e8f785c3dcb1be8f514da58b89a0ae20fd7efc089be4fea7c4a0c7417
+DIST google_api_core-2.34.0.tar.gz 187953 BLAKE2B 5dd6c5fc1fe7317da1c2ad62cca890d25cf63e550b984e7529566a5050a1e1b7c8dc0042eeec89799aae13ec020e183fa05bfd4b188383bd4cd8deaf3d4613a1 SHA512 86a6783d842842c0782fb9329804d97fd0f66142098709c3e1895cdd9cf3971326508a6cc33e15df64c3ff0b89772c11a8d896ec7e6f9774935a27cfddd0bdbc
+DIST google_api_core-2.34.0.tar.gz.provenance 6103 BLAKE2B 0d06be8f59bfda59e4f00ec463d603f536c6f04fd8249f685f4d1eab449f3034c47e9f259cb3386ff8a96c399384c011f1f6c2c7a87d489c5361a478d91deb58 SHA512 5b1ad715956badb3fa8d0c991438e3ad5ad8c674277bba4de59f9dabcac6f548bdfe5b1e68ee83e00f35fbabca685f855cdb0e2598b122a1e2f898a3b71dbec5

diff --git a/dev-python/google-api-core/google-api-core-2.34.0.ebuild b/dev-python/google-api-core/google-api-core-2.34.0.ebuild
new file mode 100644
index 000000000000..7003853d4c79
--- /dev/null
+++ b/dev-python/google-api-core/google-api-core-2.34.0.ebuild
@@ -0,0 +1,55 @@
+# Copyright 2020-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_VERIFY_REPO=gcp:google-cloud-sdk-py-yiZuu6kX0fMraekM5bLblcYXZrFtfLi78GwgEUFvwP6SXLuoLJi/[email protected]
+PYTHON_COMPAT=( python3_{12..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Core Library for Google Client Libraries"
+HOMEPAGE="
+	https://github.com/googleapis/google-cloud-python/
+	https://pypi.org/project/google-api-core/
+	https://googleapis.dev/python/google-api-core/latest/index.html
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="grpc"
+
+RDEPEND="
+	>=dev-python/googleapis-common-protos-1.69.2[${PYTHON_USEDEP}]
+	>=dev-python/google-auth-1.25.0[${PYTHON_USEDEP}]
+	>=dev-python/proto-plus-1.26.1[${PYTHON_USEDEP}]
+	>=dev-python/protobuf-6.33.5[${PYTHON_USEDEP}]
+	>=dev-python/requests-2.33.0[${PYTHON_USEDEP}]
+	<dev-python/requests-3[${PYTHON_USEDEP}]
+	grpc? (
+		>=dev-python/grpcio-1.75.1[${PYTHON_USEDEP}]
+		>=dev-python/grpcio-status-1.75.1[${PYTHON_USEDEP}]
+	)
+"
+BDEPEND="
+	test? (
+		>=dev-python/grpcio-1.75.1[${PYTHON_USEDEP}]
+		>=dev-python/grpcio-status-1.75.1[${PYTHON_USEDEP}]
+		dev-python/rsa[${PYTHON_USEDEP}]
+	)
+"
+
+EPYTEST_PLUGINS=( pytest-{asyncio,mock} )
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+	# The grpc_gcp module is missing to perform a stress test
+	tests/unit/test_grpc_helpers.py
+)
+
+python_test() {
+	rm -rf google || die
+	epytest tests
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.